# TdApi.UpdateMessageSendSucceeded (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateMessageSendSucceeded

Package it.tdlight.jni

# Class TdApi.UpdateMessageSendSucceeded

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateMessageSendSucceeded

Enclosing class:
  TdApi

    public static class TdApi.UpdateMessageSendSucceeded
    extends TdApi.Update

A message has been successfully sent.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.Message` | `message` | Information about the sent message.
`long` | `oldMessageId` | The previous temporary message identifier.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateMessageSendSucceeded()` | A message has been successfully sent.
`UpdateMessageSendSucceeded​(TdApi.Message message, long oldMessageId)` | A message has been successfully sent.
`UpdateMessageSendSucceeded​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### message

public TdApi.Message message
Information about the sent message. Usually only the message identifier, date, and content are changed, but almost all other fields can also change.

### oldMessageId

public long oldMessageId
The previous temporary message identifier.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateMessageSendSucceeded

public UpdateMessageSendSucceeded()
A message has been successfully sent.

### UpdateMessageSendSucceeded

public UpdateMessageSendSucceeded​(TdApi.Message message, long oldMessageId)
A message has been successfully sent.

Parameters:
  `message` - Message Information about the sent message. Usually only the message identifier, date, and content are changed, but almost all other fields can also change.
  `oldMessageId` - long The previous temporary message identifier.

### UpdateMessageSendSucceeded

public UpdateMessageSendSucceeded​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`